com.hazelcast.jet.core

## Class TopologyChangedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.hazelcast.core.HazelcastException
        - - com.hazelcast.jet.JetException
          - - com.hazelcast.jet.core.TopologyChangedException

- All Implemented Interfaces:
    Serializable

      public class TopologyChangedException
      extends JetException

  Thrown when a topology change causes a job to abort. The job is aborted when a participating member leaves the cluster. If auto-restart is enabled for the job, the job will be restarted automatically and this exception will not be thrown to the user.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TopologyChangedException()` Creates the exception
    `TopologyChangedException(String message)` Creates the exception with a message.
    `TopologyChangedException(String message, Throwable cause)` Creates the exception with a message and a cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TopologyChangedException

          public TopologyChangedException()

      Creates the exception

    - #### TopologyChangedException

          public TopologyChangedException(String message)

      Creates the exception with a message.

    - #### TopologyChangedException

          public TopologyChangedException(String message,
                                          Throwable cause)

      Creates the exception with a message and a cause.

Copyright © 2020. All rights reserved.